
int _efl_access_component_z_order_get(const Eo *obj, void *pd);


static Eina_Value
__eolian_efl_access_component_z_order_get_reflect(const Eo *obj)
{
   int val = efl_access_component_z_order_get(obj);
   return eina_value_int_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_access_component_z_order_get, int, 0);

Eina_Bool _efl_access_component_extents_set(Eo *obj, void *pd, Eina_Bool screen_coords, Eina_Rect rect);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_access_component_extents_set, Eina_Bool, 0, EFL_FUNC_CALL(screen_coords, rect), Eina_Bool screen_coords, Eina_Rect rect);

Eina_Rect _efl_access_component_extents_get(const Eo *obj, void *pd, Eina_Bool screen_coords);

EAPI EAPI_WEAK EFL_FUNC_BODYV_CONST(efl_access_component_extents_get, Eina_Rect, (EINA_RECT_EMPTY()), EFL_FUNC_CALL(screen_coords), Eina_Bool screen_coords);

Eina_Bool _efl_access_component_screen_position_set(Eo *obj, void *pd, int x, int y);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_access_component_screen_position_set, Eina_Bool, 0, EFL_FUNC_CALL(x, y), int x, int y);

void _efl_access_component_screen_position_get(const Eo *obj, void *pd, int *x, int *y);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_access_component_screen_position_get, EFL_FUNC_CALL(x, y), int *x, int *y);

Eina_Bool _efl_access_component_contains(Eo *obj, void *pd, Eina_Bool screen_coords, int x, int y);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_access_component_contains, Eina_Bool, 0, EFL_FUNC_CALL(screen_coords, x, y), Eina_Bool screen_coords, int x, int y);

Eina_Bool _efl_access_component_focus_grab(Eo *obj, void *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY(efl_access_component_focus_grab, Eina_Bool, 0);

Efl_Object *_efl_access_component_accessible_at_point_get(Eo *obj, void *pd, Eina_Bool screen_coords, int x, int y);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_access_component_accessible_at_point_get, Efl_Object *, NULL, EFL_FUNC_CALL(screen_coords, x, y), Eina_Bool screen_coords, int x, int y);

static Eina_Bool
_efl_access_component_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_ACCESS_COMPONENT_EXTRA_OPS
#define EFL_ACCESS_COMPONENT_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_access_component_z_order_get, _efl_access_component_z_order_get),
      EFL_OBJECT_OP_FUNC(efl_access_component_extents_set, _efl_access_component_extents_set),
      EFL_OBJECT_OP_FUNC(efl_access_component_extents_get, _efl_access_component_extents_get),
      EFL_OBJECT_OP_FUNC(efl_access_component_screen_position_set, _efl_access_component_screen_position_set),
      EFL_OBJECT_OP_FUNC(efl_access_component_screen_position_get, _efl_access_component_screen_position_get),
      EFL_OBJECT_OP_FUNC(efl_access_component_contains, _efl_access_component_contains),
      EFL_OBJECT_OP_FUNC(efl_access_component_focus_grab, _efl_access_component_focus_grab),
      EFL_OBJECT_OP_FUNC(efl_access_component_accessible_at_point_get, _efl_access_component_accessible_at_point_get),
      EFL_ACCESS_COMPONENT_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"z_order", NULL, __eolian_efl_access_component_z_order_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_access_component_class_desc = {
   EO_VERSION,
   "Efl.Access.Component",
   EFL_CLASS_TYPE_MIXIN,
   0,
   _efl_access_component_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_access_component_mixin_get, &_efl_access_component_class_desc, NULL, EFL_GFX_ENTITY_INTERFACE, EFL_GFX_STACK_INTERFACE, NULL);
